const int inputPin_INT = 3;             // Connect to PPM output internal Module (PPM2)
const int outputPin_INT = 1;           // Output Internal Module
const int inputPin_EXT = 4;             // Connect to PPM output external Module (PPM1)
const int outputPin_EXT = 0;           // Output external Module
unsigned long previousMillis_INT = 0;   // will store last time the output was updated
unsigned long previousMillis_EXT = 0;
const long interval_INT = 2000;         // interval (milliseconds) to leave output HIGH (ON delay)
const long interval_EXT = 2000; 
byte inputPreviousState_INT = HIGH;     // default startup condition to have output LOW
byte inputPreviousState_EXT = HIGH;

void setup() {
  pinMode(inputPin_INT, INPUT);  // pushbutton is connected from inputPin to GND
  pinMode(inputPin_EXT, INPUT);  // pushbutton is connected from inputPin to GND
  pinMode(outputPin_INT, OUTPUT);       // set the digital pin as output
  pinMode(outputPin_EXT, OUTPUT);       // set the digital pin as output
  inputPreviousState_INT = digitalRead(inputPin_INT);
  inputPreviousState_EXT = digitalRead(inputPin_EXT);
}
 
 
  
void loop() {

  unsigned long currentMillis_INT = millis();
  byte inputState_INT = digitalRead(inputPin_INT);
  unsigned long currentMillis_EXT = millis();
  byte inputState_EXT = digitalRead(inputPin_EXT);
  
  if (inputState_INT != inputPreviousState_INT) {            // input has changed
    digitalWrite(outputPin_INT, HIGH);
    previousMillis_INT = currentMillis_INT;                  // reset timer
  }

 
  if (currentMillis_INT - previousMillis_INT >= interval_INT) {  // 3 seconds has elapsed
    if (inputState_INT == inputPreviousState_INT) {          // input is stable
      digitalWrite(outputPin_INT, LOW);
    }
  }
  
   if (inputState_EXT != inputPreviousState_EXT) {            // input has changed
    digitalWrite(outputPin_EXT, HIGH);
    previousMillis_EXT = currentMillis_EXT;                  // reset timer
  }
  
  if (currentMillis_EXT - previousMillis_EXT >= interval_EXT) {  // 3 seconds has elapsed
    if (inputState_EXT == inputPreviousState_EXT) {          // input is stable
      digitalWrite(outputPin_EXT, LOW);
    }
  }
  
  inputPreviousState_INT = inputState_INT;               // update inputPreviousState
  inputPreviousState_EXT = inputState_EXT;
  // any extra code can go here
}
